Skip to main content
GET
/
api
/
Gift
/
ByContact
/
{contactId}
Get Gifts for a Contact
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Gift/ByContact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "contactIndividualId": "<integer>",
      "giftType": "<string>",
      "giftDate": "<string>",
      "amount": "<string>",
      "segment": "<string>",
      "batch": "<string>",
      "giftUrl": "<string>",
      "culture": "<string>",
      "exchangeRate": "<double>"
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "contactIndividualId": "<integer>",
      "giftType": "<string>",
      "giftDate": "<string>",
      "amount": "<string>",
      "segment": "<string>",
      "batch": "<string>",
      "giftUrl": "<string>",
      "culture": "<string>",
      "exchangeRate": "<double>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
string
required

(Required) The contact Id.

Query Parameters

sortBy
string

The field to be sorted. Supported: Id, GiftDate, Amount, Batch, CreatedDateTime.

descending
string

The direction to be sorted.

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026